package com.example.parts;

import javax.annotation.PostConstruct;
import javax.inject.Inject;

import org.eclipse.e4.core.di.annotations.Optional;
import org.eclipse.e4.ui.di.Focus;
import org.eclipse.e4.ui.di.UIEventTopic;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;

import com.example.model.IBread;

public class SamplePart {

	private Label label;

	@PostConstruct
	public void createControls(Composite parent, Shell shell) {
		label = new Label(parent, SWT.CENTER);
		label.setText("waiting for bread ..");
	}

	@Focus
	public void setFocus() {
		label.setFocus();
	}
	
	@Inject
	@Optional
	public void getBread(@UIEventTopic(IBread.ME) IBread bread) {
		label.setText("yeah I got bread");
	}
}